Update a package

Updates a package.

put
Path parameters
idstringRequired

The package id.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

This class is used to present the package command request data transfer object.

codestring · min: 1Required

The code of the package.

namestring · min: 1Required

The name of the package.

imageURLstring · uri · nullableOptional

The image URL of the package.

patternAvatarURLstring · uri · nullableOptional

The pattern avatar URL of the package.

stylesstring · nullableOptional

The styles of the package. This value is a JSON string.

descriptionstring · nullableOptional

The description of the package.

tagsstring · nullableOptional

The tags of the package.

tierinteger · int32 · nullableOptional

The tier of the package.

zOrderinteger · int64 · nullableOptional

The order of the package.

isDefaultbooleanOptional

Flag to indicate if the package is default. By default, the value is false.

statusstring · enumOptional

This enum is used to define the common status of an object in JFW.

Supported values:

  • Inactive - In case of JFW object's status being inactive.
  • Active - In case of JFW object's status being active
Possible values:
Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

put
/api/v1/packages/{id}

Last updated